<template>
    <div class="card-body">
        <form id="loginFormVue" method="POST" :action="ruta">
            <h4 class="text-primary mb-4">¡Iniciar sesión!</h4>
            <input type="hidden" name="_token" v-model="csrf" />
            <input type="hidden" name="vue-form" value="true" />
            <div class="form-group">
                <input
                    type="email"
                    class="form-control"
                    id="username"
                    placeholder="Ingrese su correo elecrónico"
                    name="email"
                    required
                    autocomplete="email"
                    autofocus
                />
            </div>
            <div class="form-group">
                <input
                    type="password"
                    class="form-control"
                    name="password"
                    placeholder="Ingrese su contraseña"
                    required
                    autocomplete="current-password"
                />
            </div>
            <div class="form-row mb-3"></div>
            <button
                @click.prevent="submitForm"
                class="btn btn-success btn-lg btn-block font-18"
            >
                Iniciar sesión
            </button>
        </form>
    </div>
</template>
<script>
export default {
    props: ["token", "login"],
    mounted() {},
    data() {
        return {
            csrf: this.token,
            ruta: this.login
        };
    },
    methods: {
        async submitForm() {
            await this.$emit("saveFormat");
            let form = document.getElementById("loginFormVue");
            form.submit();
        }
    }
};
</script>
